FROM python:3.9.7-slim-buster

ENV FLYWHEEL="/flywheel/v0" \
    PIXELMED="/flywheel/v0/pixelmed/pixelmed.jar"
WORKDIR ${FLYWHEEL}

RUN apt-get update && \
    apt-get install -y --no-install-recommends  \
      "openjdk-11-jre" && \
    rm -rf /var/lib/apt/lists/*

# Installing main dependencies
COPY requirements.txt $FLYWHEEL/
RUN pip install --no-cache-dir -r $FLYWHEEL/requirements.txt

# Installing the current project (most likely to change, above layer can be cached)
COPY ./ $FLYWHEEL/
RUN pip install --no-cache-dir .

# Configure entrypoint
RUN chmod a+x $FLYWHEEL/run.py
ENTRYPOINT ["python","/flywheel/v0/run.py"]
